Forum Clubic

Lire des fichiers .php3 avec php4 ?

Bonjour à tous,

Apache 1.3.26
PHP 4.1.2
Sous Debian Woody

J’ai un souci avec php, j’ai tout installé sur une distrib woody avec apt-get. Mes fichiers .php sont interprétés sans pb mais là où je suis géné c’est pour les php3…
Quand j’essaie de lire un .php3, mozilla me propose de télécharger le fichier (de mime type: application/x-httpd-php3) je suis alors allé ds httpd.conf pour modifier la ligne qui gère ça et j’ai essayé:
AddType application/x-httpd-php3 .php3
et ça
AddType application/x-httpd-php .php3

Malheureusement ça ne donne rien… Ma question est donc la suivante: peut configurer php pour qu’il lise les php3 correctement ?

Il est toujours possible de revenir à php3 mais ça m’ennuie parceque je ne peux plus utiliser phpmyadmin…

Merci d’avance,

romain

ça se règle dans la configuration d’Apache.
Tu vas dans etc/apache/httpd.conf (si je ne me trompes pas), tu édites le fichier httpd.conf et tu regardes, y’a une ligne qui définie ce que dois faire apache devant une extension .php, tu dois pouvoir rajouter l’extension php3. Par contre, tes scripts seront interprétés par l’interpréteur php4, mais il y a très peu de soucis d’adaptation en théorie.

Ca y’est j’ai compris mon erreur:
J’avais mis dans httpd.conf la ligne suivante:
AddType application/x-httpd-php .php .php3
Au lieu de:
AddType application/x-httpd-php .php
AddType application/x-httpd-php .php3

Maintenant SPIP marche nickel! merci à toi et bonne soirée